const app = getApp()
import {
	Base
} from '../../../utils/base.js';
const base = new Base()
var qiniuUploader = require("../../../utils/qiniuUploader");
Page({

    /**
     * 页面的初始数据
     */
    data: {
        coach_id: '',
        name: '',
        headImg: ''
    },

    onLoad: function (options) {
        this.setData({
            coach_id: app.globalData.coach_id
        })
        this.getInfo()
    },

    getInfo () {
		let params = {
			url: 'coach/info',
			data: {
				coach_id: this.data.coach_id
			},
			callback:(data)=>{
				this.setData({
                    name: data.wx_user.nickname,
                    headImg: data.wx_user.avatarurl,
				})
			}
		}
		base.newRequest(params)
	},
    changeName(e) {
        this.setData({
            name: e.detail.value
        })
    },
    changeImg() {
        base.initQiniu();
        wx.chooseImage({
            count: 1,
            sizeType: ['original', 'compressed'],
            sourceType: ['album', 'camera'],
            success: (res)=> {
                var tempFilePaths = res.tempFilePaths
                qiniuUploader.upload(0, tempFilePaths,(res)=>{
                    this.setData({
                        headImg: res[0].imageURL
                    })
                })
            },
            fail() {
                base.toast('上传失败，请重试')
            }
        })
    },
    saveInfo() {
        if (this.data.name == '') {
            base.toast('请输入姓名')
            return
        } else if (this.data.headImg == '') {
            base.toast('请选择头像')
            return
        }
        let params = {
            url: 'coach/save_info',
            type: 'POST',
            data: {
                coach_id: this.data.coach_id,
                avatarurl: this.data.headImg,
                nickname: this.data.name
            },
            callback:(data)=>{
                base.toast('修改信息成功')
                base.goBack(2)
            }
        }
        base.newRequest(params)
    }
})