const app = getApp()
import {
	Base
} from '../../../utils/base.js';
const base = new Base()
Page({
	data: {
		die: false,
	},
	userInfoHandler: function (e) {
		if (e.detail.errMsg == 'getUserInfo:ok') {
			app.saveUserInfo(e.detail, this.showUserInfo)
		} else {
			base.toast('请先授权，才能验证身份')
		}
	},
	showUserInfo: function () {
		let params = {
			url: 'apply/get_coach_apply',
			callback: (data) => {
				let status;
				if (data.length == 0) { // 没有申请过
					status = 3
				} else if (data.status == 2 || data.status == 0) { // 待审核或者审核失败
                    status = data.status
                } else if (data.status == 1){ // 通过
                    app.globalData.coach_id = data.wxuser.coach.id
                    status = 1
                }
				this.getLogin(status)
			}
		}
		base.newRequest(params)
	},
	getLogin(status) {
		if (status == 1) {
			wx.switchTab({
				url: '/pages/tabbar/index/index',
			})
		} else if (status == 2 || status == 0) {
			wx.redirectTo({
				url: '/pages/sign/applyResult/applyResult?status=' + status,
			})
		} else if (status == 3) {
			wx.redirectTo({
				url: '/pages/sign/apply/apply',
			})
		}
	},
	checkVisions: function () {
		if (wx.canIUse !== undefined && wx.canIUse('button.open-type.getUserInfo')) {
			this.setData({
				die: false
			})
		} else {
			this.setData({
				die: true
			})
			wx.showModal({
				title: '提示',
				content: '当前微信版本过低,无法更好体验该功能，请先升级微信到最新版',
				showCancel: true
			})
		}
	},
})